These are chat archives for opal/opal

1st
May 2017
Elia Schito
@elia
May 01 2017 00:55
Forrest Chang
@fkchang
May 01 2017 18:26
@meh are you there? I summon thee!
Adam
@adamcreekroad
May 01 2017 19:36
So I saw that opal-rails 0.9.2 was said to being working with sprockets-rails > 3, but for me it does not work with opal-rails in production mode. Been driving myself crazy for the past two days trying to figure out why I couldn't get stuff to precompile (a hyperloop project). The problem was traced down to Rails.application.assets was nil if config.assets.precompile is set to false. It seems a lot of stuff depends on that being there.
Elia Schito
@elia
May 01 2017 19:50
@adamcreekroad did you fix it somehow or is it still not working? Do you have steps or an app I can use to reproduce the problem?
Adam
@adamcreekroad
May 01 2017 19:52
@elia I had to revert back to sprockets-rails 2.3.3. All you need to do to reproduce is set config.assets.precompile = false in your environment and then do a javascript_include_tag and you should hit the problem.
Elia Schito
@elia
May 01 2017 19:54
thanks
Adam
@adamcreekroad
May 01 2017 19:55
no problem!
Elia Schito
@elia
May 01 2017 19:56
@adamcreekroad what's the point of setting precompile to nil? from what I see it starts as an array…
Adam
@adamcreekroad
May 01 2017 19:57
I'm sorry, I meant config.assets.compile = false. It's been a long day lol
Elia Schito
@elia
May 01 2017 19:58
no prob :)